libsubunit-dev_0.0.8+bzr176-1_i386.deb


Advertisement

Description

libsubunit-dev - Unit testing protocol - Development headers and static library for libsubunit

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libsubunit-dev
Package version 0.0.8+bzr176
Package release 1
Package architecture i386
Package type deb
Installed size 60 B
Download size 8.16 KB
Official Mirror ftp.br.debian.org
subunit is a protocol for test activity reporting. This permits executing
tests remotely, or saving the result of test runs for later introspection.
The libsubunit-dev package contains the C development headers,
pkgconfig data file and a static version of the library.

Alternatives

Package Version Architecture Repository
libsubunit-dev_0.0.8+bzr176-1_amd64.deb 0.0.8+bzr176 amd64 Debian Main
libsubunit-dev - - -

Requires

Name Value
libsubunit0 = 0.0.8+bzr176-1

Download

Type URL
Binary Package libsubunit-dev_0.0.8+bzr176-1_i386.deb
Source Package subunit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsubunit-dev deb package:
    # sudo apt-get install libsubunit-dev

Files

Path
/usr/include/subunit/child.h
/usr/lib/i386-linux-gnu/libsubunit.a
/usr/lib/i386-linux-gnu/libsubunit.so
/usr/lib/i386-linux-gnu/pkgconfig/libsubunit.pc
/usr/share/doc/libsubunit-dev/README
/usr/share/doc/libsubunit-dev/changelog.Debian.gz
/usr/share/doc/libsubunit-dev/copyright

Changelog

2012-05-22 - Jelmer Vernooij <jelmer@debian.org>
subunit (0.0.8+bzr176-1) unstable; urgency=low
* New upstream snapshot.
* Fix dependencies for python3-subunit to depend on python3 rather than
python2. Closes: #674225
2012-05-09 - Jelmer Vernooij <jelmer@debian.org>
subunit (0.0.8+bzr175-1) unstable; urgency=low
* Fix path for iso8501 in copyright file.
* New upstream snapshot.
2012-04-08 - Jelmer Vernooij <jelmer@debian.org>
subunit (0.0.7+bzr162-1) unstable; urgency=low
* New upstream snapshot.
+ Fixes compatibility with current versions of testtools. Closes: #669491
* Support installation for multiple python versions.
* Include egg-info for python-subunit. LP: #893620
* Add python3-subunit package.
* Bump standards version to 3.9.3 (no changes).
* Use machine parseable format for copyright file.
2011-10-31 - Jelmer Vernooij <jelmer@debian.org>
subunit (0.0.7-1) unstable; urgency=low
* New upstream release.
* Add support for multi-arch.
+ Switch to debhelper >= 8.1.3, compat level 9.
2011-06-18 - Jelmer Vernooij <jelmer@debian.org>
subunit (0.0.6-3) unstable; urgency=low
* Add recommends for python-junitxml (used by subunit2junitxml). LP: #525886
* Add missing python dependency for 'subunit' binary package.
* python-subunit: No longer ship .pyo files.
* Bump standards version to 3.9.2 (no changes).
2011-03-21 - Jelmer Vernooij <jelmer@debian.org>
subunit (0.0.6-2) unstable; urgency=low
* Add watch file.
* Bump standards version to 3.9.1.
+ debian/copyright: Include BSD-3 license in rather than referring to
deprecated file in /usr/share/common-licenses.
* Switch to dh_python2. Closes: #617074
* Switch to source format v3.
* libsubunit-perl: Install non-architecture dependent perl files into
/usr/share.
* python-subunit: Prevent shipping .pyc files.
2010-07-04 - Robert Collins <robertc@robertcollins.net>
subunit (0.0.6-1) unstable; urgency=low
* New upstream release.
2010-01-20 - Robert Collins <robertc@robertcollins.net>
subunit (0.0.5-1) unstable; urgency=low
* New upstream release.
2009-12-20 - Robert Collins <robertc@robertcollins.net>
subunit (0.0.4-4) unstable; urgency=low
* Upstream bugfix for FTBFS on test_child.c.
2009-12-20 - Robert Collins <robertc@robertcollins.net>
subunit (0.0.4-3) unstable; urgency=low
* Build-depend on cppunit-dev. Closes: #561549.
* Install libcppunit-subunit0.so.0.0.0. Closes: #561555.

See Also

Package Description
libsubunit-perl_0.0.8+bzr176-1_all.deb perl parser and diff for Subunit streams
libsubunit0_0.0.8+bzr176-1_i386.deb Unit testing protocol - C/C++ shared library
libsugarext-data_0.96.1-2_all.deb GTK3-based Sugar toolkit - common files
libsugarext-dev_0.96.1-2_i386.deb GTK3-based Sugar toolkit - develelopment files
libsugarext0_0.96.1-2_i386.deb GTK3-based Sugar toolkit - runtime library
libsuikyo-ruby1.8_2.1.0-3_all.deb Romaji Hiragana conversion library (ruby-binding)
libsuil-0-0_0.6.4~dfsg0-3_i386.deb library for loading and wrapping LV2 plugin UIs
libsuil-dev_0.6.4~dfsg0-3_i386.deb Development files for suil
libsuitesparse-dev_3.4.0-3_i386.deb libraries for sparse matrices computations (development files)
libsuitesparse-doc_3.4.0-3_all.deb libraries for sparse matrices computations (documentation)
libsundials-cvode1_2.5.0-3_i386.deb ordinary differentialequation solver (SUNDIALS library)
libsundials-cvodes2_2.5.0-3_i386.deb ODE solver with sensistivity analysis (SUNDIALS library)
libsundials-ida2_2.5.0-3_i386.deb differential-algebraic system solver (SUNDIALS library)
libsundials-idas0_2.5.0-3_i386.deb IDA solver with sensitivity capabilities (SUNDIALS library)
libsundials-kinsol1_2.5.0-3_i386.deb KINSOL solver (SUNDIALS library)
Advertisement
Advertisement